<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_sucursal1'])) {
    $errors[] = "ID VACIO";
} else if (!empty($_POST['id_sucursal1'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    //Archivo de funciones PHP
    require_once "../funciones.php";
    $session_id     = session_id();
    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_sucursal1        = intval($_POST['id_sucursal1']);
    $id_sucursal2        = intval($_POST['id_sucursal2']);
    $factura_id        = intval($_POST['id_factura']);
    $estado_fact        = intval($_POST['estado_factura']);
    $id_vendedor       = intval($_SESSION['id_users']);
    //$condiciones       = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['condiciones'], ENT_QUOTES)));
    $numero_factura    = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST["factura"], ENT_QUOTES)));
    $date_added = date("Y-m-d H:i:s");
    // consulta principal
    $nums           = 1;
    $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
    $sumador_total  = 0;
    $sum_total      = 0;
    $t_iva          = 0;
    $total_impuesto = 0;
    $sql            = mysqli_query($conexion, "SELECT * FROM productos INNER JOIN detalle_fact_traslado ON productos.id_producto=detalle_fact_traslado.id_producto and detalle_fact_traslado.id_factura='" . $factura_id . "'");
    while ($row = mysqli_fetch_array($sql)) {
        $id_tmp          = $row["id_detalle"];
        $id_producto     = $row['id_producto'];
        $codigo_producto = $row['codigo_producto'];
        $cantidad        = $row['cantidad'];
        $desc_tmp        = $row['desc_venta'];
        $nombre_producto = $row['nombre_producto'];

        $precio_venta   = $row['precio_venta'];
        $costo_producto = $row['costo_producto'];
        $precio_venta_f = number_format($precio_venta, 2); //Formateo variables
        $precio_venta_r = str_replace(",", "", $precio_venta_f); //Reemplazo las comas
        $precio_total   = $precio_venta_r * $cantidad;
        $final_items    = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
        /*--------------------------------------------------------------------------------*/
        $precio_total_f = number_format($final_items, 2); //Precio total formateado
        $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
        $sumador_total += $precio_total_r; //Sumador
        $subtotal = number_format($sumador_total, 2, '.', '');
        if ($row['iva_producto'] == 1) {
            $total_iva = iva($precio_venta);
        } else {
            $total_iva = 0;
        }
        $total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
        $total_factura = $subtotal + $total_impuesto;

        //Insert en la tabla detalle_factura
        //GURDAMOS LAS EN EL KARDEX
        $saldo_total = $cantidad * $costo_producto;
        $sql_kardex  = mysqli_query($conexion, "select * from kardex where producto_kardex='" . $id_producto . "' order by id_kardex DESC LIMIT 1");
        $rww         = mysqli_fetch_array($sql_kardex);
        $id_producto = $rww['producto_kardex'];
        $costo_saldo = $rww['costo_saldo'];
        $cant_saldo  = $rww['cant_saldo'] - $cantidad;
        //$nueva_cantidad = $cant_saldo - $cantidad;
        $nuevo_saldo = $cant_saldo * $costo_producto;
        $tipo        = 2;
        guardar_salidas($date_added, $id_producto, $cantidad, $costo_producto, $saldo_total, $cant_saldo, $costo_saldo, $nuevo_saldo, $date_added, $id_vendedor, $tipo);
        // FIN
        // ACTUALIZA EN EL STOCK
        $sql2    = mysqli_query($conexion, "select codigo_producto, stock_producto from productos where codigo_producto='" . $codigo_producto . "' and sucursal_id='" . $id_sucursal2 . "'");
        $rw      = mysqli_fetch_array($sql2);
        $old_qty = isset($rw['stock_producto']); //Cantidad encontrada en el inventario
        $new_qty = $old_qty + $cantidad; //Nueva cantidad en el inventario
        $update  = mysqli_query($conexion, "UPDATE productos SET stock_producto='" . $new_qty . "' WHERE codigo_producto='" . $codigo_producto . "' and sucursal_id='" . $id_sucursal2 . "'"); //Actualizo la nueva cantidad en el inventario
        $nums++;
    }
    $up_estado  = mysqli_query($conexion, "UPDATE facturas_traslados SET estado_factura='" . $estado_fact . "' WHERE id_factura='" . $factura_id . "'"); //Actualizo el estado de la factura
    // SI TODO ESTA CORRECTO
    if ($update) {
        echo "<script>
    $('#modal_vuelto').modal('show');
</script>";
        #$messages[] = "Venta  ha sido Guardada satisfactoriamente.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>
<!-- Modal -->
<div class="modal fade" id="modal_vuelto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> FACTURA: <?php echo $numero_factura; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <div class="alert alert-info" align="center">
                    <strong>
                        <h1>
                            PROCESADO EXITOSAMENTE <?php echo $estado_fact; ?>

                        </h1>
                    </strong>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="imprimir2" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick="printFactura(<?php echo $factura_id; ?>);" accesskey="p"><span class="fa fa-print"></span> Factura</button>
            </div>
        </div>
    </div>
</div>